Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1049127 - [RFE][heat]: Improve API polling
Summary: [RFE][heat]: Improve API polling
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-heat
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ga
: 5.0 (RHEL 7)
Assignee: RHOS Maint
QA Contact:
URL: https://blueprints.launchpad.net/heat...
Whiteboard: upstream_milestone_icehouse-3 upstrea...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-07 05:03 UTC by RHOS Integration
Modified: 2014-09-29 19:08 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: This is an internalism and shouldn't be documented. Reason: Result (if any):
Clone Of:
Environment:
Last Closed: 2014-07-22 19:08:56 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description RHOS Integration 2014-01-07 05:03:21 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/heat/+spec/improve-api-polling.

Description:

Heat polls a resource's API (eg. Nova, Trove) every second during resource creation to check the status of the resource.  Several concurrent stack-creates can cause a high number of requests to the API and trigger the API's rate-limiting, which results in a stack-creation failure.

Polling should either be spaced more appropriately (polling intervals get longer as time passes) or eliminated in favor of using a notification system, if possible.

Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.